---
title: "AxisAndOrigin2d"
excerpt: "A 2D axis and origin."
layout: manual
---

A 2D axis and origin.





**This schema accepts exactly one of the following:**

X-axis.

**enum:** `X`








----
Y-axis.

**enum:** `Y`








----
Flip the X-axis.

**enum:** `-X`








----
Flip the Y-axis.

**enum:** `-Y`








----

**Type:** `object`





## Properties

| Property | Type | Description | Required |
|----------|------|-------------|----------|
| `custom` |`object`|  | No |


----




